Subject: IPP> MOD - Appendix comparing IPP to JMP

From: Tom Hastings <[email-masked]>
Date: Tue, 30 Sep 1997 18:51:33 PDT

I have finished my other IPP Model action item to produce an
Appendix that compares the IPP Job Attributes with the Job Monitoring MIB.

I have compared the 9/26/97 IPP Model with the 9/19/96 V0.86 Job Monitoring
MIB.

I have stored three files in
ftp://ftp.pwg.org/pub/pwg/ipp/new_MOD/ipp-jmp.doc   .pdf   .txt

The .doc is in MS-WORD V7.0 (I've finally upgraded).

I have also attached the .txt file here, but the .pdf file is much more
readable,
since the table entries don't wrap:

Subj:  Comparision of IPP job attributes with the Job Monitoring MIB Appendix
From: Tom Hastings
File:  ipp-jmp.doc
Date: 9/29/97

Here is my action item to make an appendix for the Model specification
that compares the IPP Job object attributes with the Job Monitoring MIB.
It can be converted to CourierNew and saved as text with layout to
produce fixed pitch ASCII for the Model document, as Scott as done for
the other tables in the spec.

Comparison of IPP job attributes with the Job Monitoring MIB

This appendix compares the IPP job attributes with the Job Monitoring
MIB (JMP) [27].  The notes column indicates the nature of the
comparison.  A ‘-‘ that there is no equivalent or similar attribute in
the Job Monitoring MIB.  The notation “identical” indicates that the
syntax and semantics are identical.  For textual strings, the Job
Monitoring MIB limits values to 63 octets, with the single exception of
the JMP ‘jobURI’ attribute which as a limit of 255 octets.

NOTE - The Job Monitoring MIB is designed to represent jobs that contain
multiple documents.  The MIB permits multiple values of certain
attributes per job in order to represent when a job has more than one
value, such as ‘documentFormat’ or ‘documentName’.  Some such attributes
are specified as multiple per-job, such as ‘documentFormat’, so that a
document can have more than one and repetition of the same value for
multiple documents is eliminated, while other attributes are specified
as one per document, such as the ‘documentName’ attribute.

IPP Job Template  JMP                Notes
Attributes        object/attribute
                                     
job-sheets        -                  
(type4 keyword)
notify-events     -                  
(1setOf type2
keyword)
notify-addresses  -                  
(1setOf uri)
job-priority      jobPriority        identical
(integer(1:100))
job-hold-until    jobHoldUntil       identical
(type4 keyword)
multiple-         -                  
document-
handling
(type2 keyword)
media             mediumRequested    Use JmJobStringTC to
(type4 keyword)                      represent the  keyword
number-up         -                  
(integer)
sides             sides              Map keywords to ‘1’ or
(type2 keyword)                      ‘2’
pinter-           printerResolution  identical
resolution        Requested
(resoultion)
print-quality     printQualityReque  identical
(type2 enum)      sted
finishings        finishing          identical
(1setOf type2
enum)
copies            jobCopiesRequeste  complex mapping that
(integer(1:2**31  d AND              depends on “multiple-
- 1))             documentCopiesReq  document-handling”
                  uested
page-range        -                  
(rangeOf
integer)
orientation       -                  
(type2 enum)
document-format   documentFormat     Use the OCTET STRING
(mimeType)                           to hold the Media Type
                                     name
compression       -                  
(type3 keyword)
job-k-octets      jmJobKOctetsReque  identical
(integer(0:2**31  sted
- 1))
job-impressions   jmJobImpressionsR  identical
(integer(0:2**31  equested
- 1))
job-media-sheets  sheetsRequested    identical
(integer(0:2**31
- 1))
user-human-       -                  
language
(humanLanguage)
                                     
Job Description                      
Attributes
job-uri           jobURI             identical, except max
(uri)                                255 octets in JMP
job-id            jmJobIndex         identical
(integer(1:MAX))
job-more-info     -                  
(uri)
job-name          jobName            identical
(name)
job-originating-  jmJobOwner         identical
user
(octetString)
job-human-        -                  
language
(human-language)
job-state         jmJobState         identical
(type1 enum)
job-state-        jmJobStateReasons  JMP is a superset and
reasons           1 OR               is bit encoded,
(1setOf  type2    jobStateReasons2   instead of keywords
keyword)          OR
                  jobStateReasons3
                  OR
                  jobStateReasons4
job-state-        -                  
message
(text)
output-device-    physicalDevice     identical, both UTF-8
assigned                             strings
(name)
time-at-pending   jobSubmissionTime  not the same, if job
(integer)         ,                  enters pendingHeld
                                     state first
time-at-          jobStartedProcess  identical
processing        ingTime
(integer)
time-at-          jobcompletionTime  identical
completed
(integer)
number-of-        jmNumberOfInterve  identical
intervening-jobs  ningJobs
(integer(0:2**31
- 1))
job-message-from- -                  
operator
(text)
job-k-octets-     jmJobKOctetsProce  identical
processed         ssed
(integer(0:2**31
- 1))
job-impressions-  jmJobImpressionsC  identical
completed         ompleted
(integer(0:2**31
- 1))
job-media-sheets- sheetsCompleted    identical
completed
(integer(0:2**31
- 1))